Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1526091 - Package Review: python-sushy - a small Python library to communicate with Redfish based systems
Summary: Package Review: python-sushy - a small Python library to communicate with Red...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alfredo Moralejo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: RDO-QUEENS
TreeView+ depends on / blocked
 
Reported: 2017-12-14 18:20 UTC by Nate Potter
Modified: 2017-12-22 14:00 UTC (History)
3 users (show)

Fixed In Version: python-sushy-1.2.0-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-22 13:57:35 UTC
amoralej: fedora-review+


Attachments (Terms of Use)

Description Nate Potter 2017-12-14 18:20:35 UTC
The python-sushy package needs to be added to Fedora as it is a dependency of rsdclient, which is going to be added to Fedora as well. The rpm spec already exists in RDO at https://review.rdoproject.org/r/openstack/sushy-distgit, but it must be ported.

Comment 3 Alfredo Moralejo 2017-12-18 17:02:06 UTC
The spec to be used is https://github.com/rdo-packages/sushy-distgit/blob/rpm-master/python-sushy.spec

You need to:

- fix version, release and changelog entry
- build a SRPM with it 
- upload them to https://github.com/ntpttr/sushy-fedora
- update this bugzilla with the new links

Comment 4 Lin Yang 2017-12-18 17:10:58 UTC
Nate and I have finished these above steps. Does the content in https://github.com/ntpttr/sushy-fedora look good?

Comment 5 Alfredo Moralejo 2017-12-18 17:52:11 UTC
Content of https://github.com/ntpttr/sushy-fedora/blob/master/python-sushy.spec looks pretty different that https://github.com/rdo-packages/sushy-distgit/blob/rpm-master/python-sushy.spec. With the spec https://github.com/ntpttr/sushy-fedora/blob/master/python-sushy.spec, package fails to build because of missing deps. Could you review it?

Comment 6 Lin Yang 2017-12-18 17:54:21 UTC
Sure, I will check it and keep you update.

Comment 7 Lin Yang 2017-12-18 19:47:17 UTC
I have created new spec and SRPM on following link based on latest spec template in rdo-packages/sushy-distgit project, and confirmed it build successfully.

Spec: https://raw.githubusercontent.com/LinEricYang/sushy-fedora/master/python-sushy.spec

SRPM: https://github.com/LinEricYang/sushy-fedora/raw/master/python-sushy-1.2.0-1.fc27.src.rpm

Comment 8 Alfredo Moralejo 2017-12-19 11:04:09 UTC
Just a minor change is needed, release should be:

Release: 1%{?dist} (missing "?")

Could you update it?, with that fix i'll do the official aproval.

Comment 10 Alfredo Moralejo 2017-12-20 16:16:49 UTC
Official fedora-review:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.png is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 41 files have unknown
     license. Detailed output of licensecheck in /tmp/1526091-python-
     sushy/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-sushy , python2-sushy-tests , python3-sushy , python3-sushy-
     tests , python-sushy-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-sushy-1.2.0-1.fc28.noarch.rpm
          python2-sushy-tests-1.2.0-1.fc28.noarch.rpm
          python3-sushy-1.2.0-1.fc28.noarch.rpm
          python3-sushy-tests-1.2.0-1.fc28.noarch.rpm
          python-sushy-doc-1.2.0-1.fc28.noarch.rpm
          python-sushy-1.2.0-1.fc28.src.rpm
python2-sushy.noarch: E: description-line-too-long C Sushy is a Python library to communicate with Redfish based systems (http://redfish.dmtf.org)
python2-sushy.noarch: W: no-documentation
python2-sushy-tests.noarch: W: no-documentation
python3-sushy.noarch: E: description-line-too-long C Sushy is a Python library to communicate with Redfish based systems (http://redfish.dmtf.org)
python3-sushy.noarch: W: no-documentation
python3-sushy-tests.noarch: W: no-documentation
python-sushy.src: E: description-line-too-long C Sushy is a Python library to communicate with Redfish based systems (http://redfish.dmtf.org)
6 packages and 0 specfiles checked; 3 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python-sushy-doc.noarch: W: invalid-url URL: http://launchpad.net/sushy/ <urlopen error [Errno -2] Name or service not known>
python2-sushy-tests.noarch: W: invalid-url URL: http://launchpad.net/sushy/ <urlopen error [Errno -2] Name or service not known>
python2-sushy-tests.noarch: W: no-documentation
python3-sushy-tests.noarch: W: invalid-url URL: http://launchpad.net/sushy/ <urlopen error [Errno -2] Name or service not known>
python3-sushy-tests.noarch: W: no-documentation
python2-sushy.noarch: E: description-line-too-long C Sushy is a Python library to communicate with Redfish based systems (http://redfish.dmtf.org)
python2-sushy.noarch: W: invalid-url URL: http://launchpad.net/sushy/ <urlopen error [Errno -2] Name or service not known>
python2-sushy.noarch: W: no-documentation
python3-sushy.noarch: E: description-line-too-long C Sushy is a Python library to communicate with Redfish based systems (http://redfish.dmtf.org)
python3-sushy.noarch: W: invalid-url URL: http://launchpad.net/sushy/ <urlopen error [Errno -2] Name or service not known>
python3-sushy.noarch: W: no-documentation
5 packages and 0 specfiles checked; 2 errors, 9 warnings.



Requires
--------
python-sushy-doc (rpmlib, GLIBC filtered):

python2-sushy-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-oslotest
    python-testrepository
    python-testscenarios
    python-testtools
    python2-sushy

python3-sushy-tests (rpmlib, GLIBC filtered):
    python(abi)
    python3-oslotest
    python3-sushy
    python3-testrepository
    python3-testscenarios
    python3-testtools

python2-sushy (rpmlib, GLIBC filtered):
    python(abi)
    python-pbr
    python-requests
    python-six

python3-sushy (rpmlib, GLIBC filtered):
    python(abi)
    python3-pbr
    python3-requests
    python3-six



Provides
--------
python-sushy-doc:
    python-sushy-doc

python2-sushy-tests:
    python2-sushy-tests

python3-sushy-tests:
    python3-sushy-tests

python2-sushy:
    python-sushy
    python2-sushy
    python2.7dist(sushy)
    python2dist(sushy)

python3-sushy:
    python3-sushy
    python3.6dist(sushy)
    python3dist(sushy)



Source checksums
----------------
http://tarballs.openstack.org/sushy/sushy-1.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : bc0e914f5b5bca4184d6f0a85cc43b2ccd09f57cf4624558fd4166c5e6050692
  CHECKSUM(SHA256) upstream package : bc0e914f5b5bca4184d6f0a85cc43b2ccd09f57cf4624558fd4166c5e6050692


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1526091
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6



Package looks fine, I'm approving it.

Comment 11 Alfredo Moralejo 2017-12-20 16:18:15 UTC
I'll request the repo in fedora and assign it to openstack-sig.

Comment 12 Gwyn Ciesla 2017-12-20 18:15:10 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-sushy

Comment 13 Alfredo Moralejo 2017-12-20 18:42:45 UTC
Initial import done and package built in:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1010773

It will appear in rawhide repo soon.

I've added openstack-sig group as admin for this package.

Comment 14 Alfredo Moralejo 2017-12-22 13:57:35 UTC
Package is built and published in rawhide repo.


Note You need to log in before you can comment on or make changes to this bug.